Bug 800756 - Review Request: infinispan - Data grid platform
Summary: Review Request: infinispan - Data grid platform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Juan Hernández
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 730227 800738 800753
Blocks: 801680
TreeView+ depends on / blocked
 
Reported: 2012-03-07 07:26 UTC by Ricardo Arguello
Modified: 2012-04-12 02:10 UTC (History)
5 users (show)

Fixed In Version: infinispan-5.1.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 02:10:05 UTC
Type: ---
juan.hernandez: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ricardo Arguello 2012-03-07 07:26:40 UTC
Spec URL:
http://ricardo.fedorapeople.org/package_review/infinispan/1/infinispan.spec

SRPM URL:
http://ricardo.fedorapeople.org/package_review/infinispan/1/infinispan-5.1.1-2.fc17.src.rpm

Description: Infinispan is an extremely scalable, highly available data grid
platform

Comment 1 Juan Hernández 2012-03-20 17:07:32 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

Output of rpmlint of the source package:

$ rpmlint infinispan-5.1.1-2.fc17.src.rpm
infinispan.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
infinispan.src: W: spelling-error %description -l en_US multi -> mulch, mufti
infinispan.src: W: spelling-error %description -l en_US util -> til, until, u til
infinispan.src: W: invalid-url URL: http://www.jboss.org/infinispan HTTP Error 403: Forbidden
infinispan.src: W: invalid-url Source0: infinispan-5.1.1.FINAL.tar.xz
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Output of rpmlint of the binary packages:

$ rpmlint infinispan-5.1.1-2.fc18.src.rpm
infinispan-javadoc-5.1.1-2.fc18.noarch.rpm
infinispan.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
infinispan.src: W: spelling-error %description -l en_US multi -> mulch, mufti
infinispan.src: W: spelling-error %description -l en_US util -> til, until, u til
infinispan.src: W: invalid-url URL: http://www.jboss.org/infinispan HTTP Error 403: Forbidden
infinispan.src: W: invalid-url Source0: infinispan-5.1.1.FINAL.tar.xz
infinispan-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
infinispan-javadoc.noarch: W: invalid-url URL: http://www.jboss.org/infinispan HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

These warnigs are acceptable.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].

The names of the jar files used by the build are "infinispan-*.jar" but the package remove the "infinispan" prefix. This is against the packaging guidelines.

[x]  Package successfully compiles and builds into binary rpms.

See  http://koji.fedoraproject.org/koji/taskinfo?taskID=3913874

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2.1+
[!]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own

I think that the file license/src/main/resources/META-INF/LICENSE.txt.vm should be added to the documentation of the main and javadoc packages (renamed to LICENSE.txt).

[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

Checked with a recursive diff of the source files.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building

The file ide-settings/intellij/IntelliJ_IDEA_Code_Style.jar has not been removed, but it can't affect the build.

[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[!]  Latest version is packaged.

Upstream released 5.1.2 in Mar 2 2012.

[x]  Reviewer should test that the package builds in mock.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3913874

=== Issues ===
1. The jar names should have the "infinispan" prefix, as assigned by the build.
2. The license/src/main/resources/META-INF/LICENSE.txt.vm should go in the main and javadoc packages (renamed to LICENSE.txt).
3. Should use upstream 5.1.2 released in Mar 2 2012.

=== Final Notes ===
Issues #1, #2 and #3 need to be fixed.

Comment 3 Juan Hernández 2012-03-23 08:55:53 UTC
The updated package build correctly in Koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3925273

And the issues have been fixed:

$ rpm -qlp infinispan-5.1.2-1.fc18.noarch.rpm
/usr/share/doc/infinispan-5.1.2
/usr/share/doc/infinispan-5.1.2/LICENSE.txt
/usr/share/doc/infinispan-5.1.2/README.mkdn
/usr/share/java/infinispan
/usr/share/java/infinispan/infinispan-cachestore-jdbc.jar
/usr/share/java/infinispan/infinispan-cachestore-remote.jar
/usr/share/java/infinispan/infinispan-client-hotrod.jar
/usr/share/java/infinispan/infinispan-core.jar
/usr/share/maven-fragments/infinispan
/usr/share/maven-poms/JPP.infinispan-infinispan-cachestore-jdbc.pom
/usr/share/maven-poms/JPP.infinispan-infinispan-cachestore-parent.pom
/usr/share/maven-poms/JPP.infinispan-infinispan-cachestore-remote.pom
/usr/share/maven-poms/JPP.infinispan-infinispan-client-hotrod.pom
/usr/share/maven-poms/JPP.infinispan-infinispan-core.pom
/usr/share/maven-poms/JPP.infinispan-infinispan-parent.pom
/usr/share/maven-poms/JPP.infinispan-infinispan.pom

Muchas gracias Ricardo!

================
*** APPROVED ***
================

Comment 4 Ricardo Arguello 2012-03-23 14:50:59 UTC
New Package SCM Request
=======================
Package Name: infinispan
Short Description: Data grid platform
Owners: ricardo
Branches: f17
InitialCC: goldmann

Comment 5 Gwyn Ciesla 2012-03-23 14:58:02 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-03-23 19:45:18 UTC
infinispan-5.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/infinispan-5.1.2-1.fc17

Comment 7 Fedora Update System 2012-03-24 17:42:58 UTC
infinispan-5.1.2-1.fc17 has been pushed to the Fedora 17 testing repository.

Comment 8 Fedora Update System 2012-04-12 02:10:05 UTC
infinispan-5.1.2-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.